> ## Documentation Index
> Fetch the complete documentation index at: https://developers.crmclick.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Rest API for CRM

> Updated: 2025-07-03

## General API Information

* The following base endpoints are available. Please use whichever works best for your setup:

  * **[https://cgk-api.crmclick.io](https://cgk-api.crmclick.io)**

## GET `/spot/tickers`

* Spot API
  Description:
  Get all available spot trading pairs with their latest market data.

* Example request:
  GET [https://cgk-api.crmclick.io/spot/tickers](https://cgk-api.crmclick.io/spot/tickers)

```
 {
    "ticker_id": "SYLO_USDT",
    "base_currency": "SYLO",
    "target_currency": "USDT",
    "last_price": 0.000376,
    "base_volume": 3668964596.2512,
    "target_volume": 1377863.96504577,
    "bid": 0.000376,
    "ask": 0.000384,
    "high": 0.000386,
    "low": 0.00037
  }
```

## GET `/spot/orderbook`

* Description:
  Get the order book for a specific trading pair.

Query parameters:

| Name        | Type    | Required | Description                              |
| ----------- | ------- | -------- | ---------------------------------------- |
| `ticker_id` | string  | ✅        | Trading pair ID, e.g. `BTC_USDT`         |
| `depth`     | integer | ❌        | Number of levels to return (default: 20) |

* Example request:
  GET [https://cgk-api.crmclick.io/spot/orderbook?ticker\_id=BTC\_USDT\&depth=20](https://cgk-api.crmclick.io/spot/orderbook?ticker_id=BTC_USDT\&depth=20)
* Response example:

```
{
  "ticker_id": "BTC_USDT",
  "timestamp": 1751527429000,
  "bids": [
    [109207.28, 0.003555],
    [109201.91, 0.000796],
    [109196.92, 0.000961],
    [109196.81, 0.094],
    [109196.48, 1],
    [109194.33, 0.000992],
    [109193.41, 0.001043],
    [109191.01, 0.004993],
    [109190.97, 0.135],
    [109190.8, 0.01],
    [109189.39, 0.001388],
    [109186.88, 0.099151],
    [109185.19, 0.068675],
    [109184.58, 0.347961],
    [109184.14, 0.001752],
    [109183.86, 0.001339],
    [109179.41, 0.293069],
    [109179.26, 0.135],
    [109177.98, 0.244655],
    [109177.97, 0.0045]
  ],
  "asks": [
    [109207.29, 1.12045295808119],
    [109207.33, 0.009155],
    [109208.47, 0.009155],
    [109211.5, 0.068675],
    [109214.85, 0.000964],
    [109215.05, 0.000983],
    [109216.33, 0.0045],
    [109217.61, 0.001],
    [109218.22, 0.135],
    [109219.65, 0.0011],
    [109219.93, 0.068675],
    [109219.96, 1.054581],
    [109223.5, 0.01],
    [109224.86, 0.001002],
    [109226.69, 0.001067],
    [109231.76, 0.159065],
    [109231.77, 0.135],
    [109234.17, 0.068675],
    [109235.79, 0.000398],
    [109236.05, 0.0045]
  ]
}
```

## GET `/spot/historical`

* Description:
  Get historical trades (or market snapshots, depending on API implementation).

Query parameters:

| Name        | Type    | Required | Description                                |
| ----------- | ------- | -------- | ------------------------------------------ |
| `ticker_id` | string  | ✅        | Trading pair ID, e.g. `BTC_USDT`           |
| `limit`     | integer | ❌        | Number of records to return (default: 100) |

* Example request:
  GET [https://cgk-api.crmclick.io/spot/historical?ticker\_id=BTC\_USDT\&limit=100](https://cgk-api.crmclick.io/spot/historical?ticker_id=BTC_USDT\&limit=100)
* Response example:

```
 {
    "trade_id": 103574803084,
    "price": 109168.99,
    "base_volume": 0.0002,
    "target_volume": 21.833798,
    "trade_timestamp": 1751527476346,
    "type": "sell",
    "ticker_id": "BTC_USDT"
  }
```

## Perpetual API

* GET `/perpetual/contracts`
* Description:
  Get all available perpetual contract info.

Example request:
GET [https://cgk-api.crmclick.io/perpetual/contracts](https://cgk-api.crmclick.io/perpetual/contracts)

* Response example:

```
{
    "ticker_id": "SATS_USDT",
    "base_currency": "SATS",
    "target_currency": "USDT",
    "last_price": "4.1E-8",
    "base_volume": "7528538000000",
    "target_volume": "294110.187",
    "bid": 4.1e-8,
    "ask": 4.11e-8,
    "high": "4.16E-8",
    "low": "3.77E-8",
    "product_type": "perpetual",
    "open_interest": "7528538",
    "index_price": "4.1E-8",
    "index_name": "SATS_USDT",
    "index_currency": "USDT",
    "start_timestamp": null,
    "end_timestamp": null,
    "funding_rate": null,
    "next_funding_rate": null,
    "next_funding_rate_timestamp": null
  }
```

## GET `/perpetual/orderbook`

* Description:
  Get the order book for a specific perpetual contract.

* Query parameters:

| Name        | Type   | Required | Description                  |
| ----------- | ------ | -------- | ---------------------------- |
| `ticker_id` | string | ✅        | Contract ID, e.g. `BTC_USDT` |

* Example request:
  GET [https://cgk-api.crmclick.io/perpetual/orderbook?ticker\_id=BTC\_USDT](https://cgk-api.crmclick.io/perpetual/orderbook?ticker_id=BTC_USDT)
* Response example:

```
{
  "ticker_id": "BTC_USDT",
  "timestamp": 1751527589510,
  "bids": [
    [109177.9, 2184],
    [109177.8, 9],
    [109177.7, 6],
    [109172.5, 64],
    [109172.4, 916],
    [109170.5, 1],
    [109169.3, 162],
    [109168.6, 28],
    [109168.5, 18],
    [109167.6, 1],
    [109167.2, 1],
    [109167.1, 42],
    [109167, 1],
    [109166.1, 75],
    [109166, 46],
    [109165.5, 1019],
    [109164, 2],
    [109162.7, 16],
    [109162.3, 2],
    [109162, 1],
    [109161.9, 211],
    [109161.6, 4],
    [109161.5, 183],
    [109160.7, 1],
    [109160.3, 928],
    [109159.9, 206],
    [109159.8, 895],
    [109159, 1419],
    [109158.9, 658],
    [109157.4, 1],
    [109155.1, 78],
    [109154.5, 200],
    [109154.4, 910],
    [109154.1, 1],
    [109152.5, 1],
    [109150.9, 1],
    [109150, 16],
    [109149.6, 59],
    [109149.5, 183],
    [109149.2, 137],
    [109149.1, 658],
    [109148.6, 2],
    [109147.6, 1],
    [109147.4, 149],
    [109147.3, 910],
    [109146.9, 183],
    [109146.3, 1],
    [109144.2, 1100],
    [109144.1, 183],
    [109141.4, 92],
    [109141.3, 167],
    [109139.5, 3],
    [109139.2, 658],
    [109138.6, 910],
    [109138.4, 183],
    [109138, 1],
    [109137.8, 1],
    [109137.7, 183],
    [109137.4, 17],
    [109135.4, 92],
    [109135.3, 576],
    [109135.2, 7014],
    [109134.6, 2790],
    [109132.9, 910],
    [109132, 10],
    [109130, 183],
    [109129.5, 237],
    [109127.9, 1],
    [109127, 16],
    [109126.8, 1858],
    [109126.5, 895],
    [109126.2, 183],
    [109124.7, 16],
    [109124.2, 46],
    [109122.4, 1],
    [109119.7, 63],
    [109119.6, 895],
    [109119.4, 10],
    [109118.1, 1],
    [109117.2, 7],
    [109116.5, 10],
    [109114.4, 809],
    [109114.1, 895],
    [109113.8, 9814],
    [109113.4, 92],
    [109112, 199],
    [109111.6, 47],
    [109111.2, 92],
    [109110, 411],
    [109108.2, 10],
    [109107.7, 66],
    [109107.5, 897],
    [109107.3, 1],
    [109105.9, 48],
    [109105.1, 1],
    [109102.4, 46],
    [109102.1, 80],
    [109102, 988],
    [109100.9, 10],
    [109100.3, 10],
    [109100.1, 92],
    [109100, 23],
    [109099.3, 16],
    [109098.5, 1],
    [109097.1, 67],
    [109095.2, 1],
    [109094.2, 5],
    [109093.8, 61],
    [109093.7, 892],
    [109092.8, 1],
    [109090.8, 79],
    [109090.4, 92],
    [109090, 1],
    [109088.4, 92],
    [109088.3, 1374],
    [109088.2, 892],
    [109087.3, 1],
    [109087, 46],
    [109086.7, 16],
    [109085.8, 8134],
    [109085.4, 1],
    [109083.9, 5041],
    [109083.8, 7],
    [109082.7, 892],
    [109080.7, 1],
    [109079.4, 92],
    [109077.3, 97],
    [109077.2, 897],
    [109076, 71],
    [109075, 349],
    [109073.2, 1],
    [109071.9, 10],
    [109071.7, 880],
    [109070.8, 92],
    [109068.3, 92],
    [109067.1, 1],
    [109066.4, 1],
    [109066.3, 62],
    [109066.2, 879],
    [109064.6, 110],
    [109063.4, 1],
    [109061.9, 46],
    [109060.8, 916],
    [109060.7, 916],
    [109060, 1],
    [109058, 91],
    [109057.3, 184],
    [109055.2, 916],
    [109055.1, 1],
    [109054.6, 127]
  ],
  "asks": [
    [109178, 7629],
    [109178.2, 46],
    [109178.4, 658],
    [109178.8, 2],
    [109180.1, 162],
    [109180.2, 1],
    [109180.7, 168],
    [109180.8, 1641],
    [109180.9, 84],
    [109181, 42],
    [109181.2, 90],
    [109182.6, 1391],
    [109182.7, 274],
    [109182.8, 42],
    [109183.2, 84],
    [109183.3, 28],
    [109183.4, 38],
    [109183.5, 1],
    [109183.9, 1],
    [109184, 46],
    [109184.7, 892],
    [109186, 89],
    [109186.8, 212],
    [109187.3, 1419],
    [109187.7, 1],
    [109188, 89],
    [109188.1, 16],
    [109188.3, 658],
    [109189.5, 30],
    [109189.9, 182],
    [109190, 131],
    [109190.1, 42],
    [109190.2, 1060],
    [109190.3, 28],
    [109190.4, 84],
    [109190.6, 2930],
    [109191.2, 1],
    [109191.7, 255],
    [109191.8, 183],
    [109192.8, 84],
    [109193, 42],
    [109193.3, 1],
    [109194.7, 183],
    [109196, 1],
    [109197.7, 37],
    [109197.8, 1],
    [109197.9, 46],
    [109198.1, 658],
    [109198.5, 1049],
    [109199.9, 888],
    [109200.3, 42],
    [109200.4, 42],
    [109200.5, 28],
    [109200.7, 28],
    [109200.8, 58],
    [109200.9, 42],
    [109201.1, 42],
    [109201.4, 154],
    [109201.6, 42],
    [109202.2, 42],
    [109203.1, 183],
    [109203.2, 3],
    [109203.9, 16],
    [109204, 183],
    [109204.4, 42],
    [109205.4, 895],
    [109206.4, 1],
    [109206.7, 183],
    [109207.6, 42],
    [109207.9, 658],
    [109209.7, 1],
    [109210.3, 42],
    [109210.9, 895],
    [109212.6, 43],
    [109212.7, 84],
    [109212.9, 43],
    [109213, 1],
    [109213.4, 16],
    [109214.7, 28],
    [109214.9, 42],
    [109216.4, 906],
    [109217.8, 658],
    [109219.4, 1],
    [109220, 42],
    [109221.8, 42],
    [109221.9, 910],
    [109222, 42],
    [109222.8, 1],
    [109223.2, 165],
    [109224, 1],
    [109225.2, 84],
    [109226.1, 16],
    [109226.4, 42],
    [109226.8, 1858],
    [109227.3, 92],
    [109227.4, 910],
    [109227.8, 42],
    [109228, 1],
    [109228.1, 28],
    [109229.4, 1],
    [109232.9, 910],
    [109233.4, 806],
    [109233.6, 183],
    [109234.9, 84],
    [109235, 9793],
    [109235.3, 42],
    [109236.8, 126],
    [109237, 42],
    [109237.1, 42],
    [109237.7, 92],
    [109238.4, 910],
    [109238.6, 8],
    [109238.8, 16],
    [109239.2, 1],
    [109239.3, 112],
    [109239.5, 42],
    [109239.6, 165],
    [109240.4, 183],
    [109241.1, 9899],
    [109241.2, 42],
    [109242.1, 5382],
    [109243, 1],
    [109243.9, 910],
    [109247.1, 806],
    [109247.2, 7],
    [109248.2, 10],
    [109249, 1],
    [109249.4, 910],
    [109249.8, 5483],
    [109250.5, 38],
    [109251.5, 16],
    [109252.9, 125],
    [109253.7, 92],
    [109254.9, 895],
    [109255.6, 1],
    [109256, 165],
    [109256.5, 42],
    [109256.8, 1],
    [109258.1, 43],
    [109258.3, 42],
    [109260.4, 895],
    [109263.8, 2477],
    [109264.1, 16],
    [109265.3, 92],
    [109265.9, 895],
    [109267.2, 16],
    [109268.4, 92],
    [109269.2, 42],
    [109270.4, 42],
    [109270.6, 42]
  ]
}
```

## HTTP Return Codes

* HTTP `4XX` return codes are used for malformed requests; the issue is on the sender's side.
* HTTP `403` return code is used when the WAF Limit (Web Application Firewall) has been violated.
* HTTP `409` return code is used when a cancelReplace order partially succeeds. (i.e. if the cancellation of the order fails but the new order placement succeeds.)
* HTTP `429` return code is used when breaking a request rate limit.
* HTTP `418` return code is used when an IP has been auto-banned for continuing to send requests after receiving `429` codes.
* HTTP `5XX` return codes are used for internal errors; the issue is on Binance's side. It is important to **NOT** treat this as a failure operation; the execution status is **UNKNOWN** and could have been a success.

## Error Codes

* Any endpoint can return an ERROR

Sample Payload below:

```
{ "code":0, "msg":"Invalid symbol." }
```

## General Information on Endpoints

* For `GET` endpoints, parameters must be sent as a `query string`.
* For `POST`, `PUT`, and `DELETE` endpoints, the parameters may be sent as a `query string` or in the `request body` with content type `application/json`. You may mix parameters between both the `query string` and `request body` if you wish to do so.
* Parameters may be sent in any order.
* If a parameter sent in both the `query string` and `request body`, the `query string` parameter will be used.
